import { Component, input, Input, tween, Vec3, _decorator ,Node} from 'cc';
const { ccclass, property } = _decorator;

@ccclass('NewComponent')
export class NewComponent extends Component {

    @property(Node)
    topNode: Node = null;

    @property(Node)
    bottomNode:Node = null;
    start() {
        input.on(Input.EventType.MOUSE_MOVE, (e) => {
            this.node.setWorldPosition(new Vec3(e.getUILocation().x, e.getUILocation().y, 0))
        })

        tween(this.topNode)
            .to(2,{position:new Vec3(-10,30,0)})
            .to(2,{position:new Vec3(-10,0,0)})
            .union()
            .repeatForever()
            .start()
        tween(this.bottomNode)
            .to(2,{position:new Vec3(10,-30,0)})
            .to(2,{position:new Vec3(10,0,0)})
            .union()
            .repeatForever()
            .start()
    }
}


